﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.OleDb;
using C1.Win.C1FlexGrid;

namespace PriceRangeSlider
{
    public partial class Form1 : Form
    {
        DataTable dt = new System.Data.DataTable();
        OleDbConnection connection;
        OleDbDataAdapter adapter;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //Setting Grid's DataSource
            connection = new OleDbConnection(@"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=C:\Users\stduser\Documents\ComponentOne Samples\Common\C1NWind.mdb;Persist Security Info=False");
            adapter = new OleDbDataAdapter("Select ProductID, ProductName, QuantityPerUnit, UnitPrice, UnitsInStock from Products", connection);
            adapter.Fill(dt);
            c1FlexGrid1.DataSource = dt;
            c1FlexGrid1.AllowFiltering = true;
     
            //Aligning Grid's Columns
            c1FlexGrid1.Rows[0].TextAlign = TextAlignEnum.CenterTop;
            c1FlexGrid1.Rows[0].StyleNew.Font = new System.Drawing.Font("Arial", 8, FontStyle.Bold);
            c1FlexGrid1.Cols[1].TextAlign = TextAlignEnum.CenterTop;
            c1FlexGrid1.Cols[2].TextAlign = TextAlignEnum.CenterTop;
            c1FlexGrid1.Cols[4].TextAlign = TextAlignEnum.CenterTop;
            c1FlexGrid1.Cols[5].TextAlign = TextAlignEnum.CenterTop;

            //Setting C1RangeSlider's Minimum and Maximum Values        
            c1RangeSlider1.Minimum = 0;
            c1RangeSlider1.Maximum = 300;

            //Customizing Appearance of Thumbs in C1RangeSlider
            this.c1RangeSlider1.Styles.ThumbStyle.BackColor = System.Drawing.Color.Tan;
            this.c1RangeSlider1.Styles.ThumbStyle.BorderColor = System.Drawing.SystemColors.ActiveCaptionText;
            this.c1RangeSlider1.Styles.ThumbStyle.CornerRadius = 4;
            this.c1RangeSlider1.Styles.ThumbStyle.HotBackColor = System.Drawing.SystemColors.ActiveCaption;
            this.c1RangeSlider1.Styles.ThumbStyle.PressedBackColor = System.Drawing.Color.Gold;        

        }

        private void c1RangeSlider1_LowerValueChanged(object sender, EventArgs e)
        {
            lbl_LowerValue.Text = "$"+c1RangeSlider1.LowerValue.ToString();

            var filter1 = new ConditionFilter();
            // configure filter to select items whose UnitPrice lies between c1RangeSlider's LowerValue and UpperValue
            filter1.Condition1.Operator = ConditionOperator.GreaterThanOrEqualTo;
            filter1.Condition1.Parameter = c1RangeSlider1.LowerValue;
            filter1.Condition2.Operator = ConditionOperator.LessThanOrEqualTo;
            filter1.Condition2.Parameter = c1RangeSlider1.UpperValue;

            // assign new filter to column "UnitPrice"
            c1FlexGrid1.Cols["UnitPrice"].Filter = filter1;
        }

        private void c1RangeSlider1_UpperValueChanged(object sender, EventArgs e)
        {
            lbl_UpperValue.Text = "$"+c1RangeSlider1.UpperValue.ToString();

            var filter2 = new ConditionFilter();
            // configure filter to select items whose UnitPrice lies between c1RangeSlider's LowerValue and UpperValue
            filter2.Condition1.Operator = ConditionOperator.LessThanOrEqualTo;
            filter2.Condition1.Parameter = c1RangeSlider1.UpperValue;
            filter2.Condition2.Operator = ConditionOperator.GreaterThanOrEqualTo;
            filter2.Condition2.Parameter = c1RangeSlider1.LowerValue;

            // assign new filter to column "UnitPrice"
            c1FlexGrid1.Cols["UnitPrice"].Filter = filter2;
        }

       
    }
}
